This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 869681 - (CVE-2012-4514) CVE-2012-4514 kdelibs (khtml): NULL pointer dereference when trying to reuse a frame with null part
CVE-2012-4514 kdelibs (khtml): NULL pointer dereference when trying to reuse ...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121030,reported=2...
: Security
Depends On: 871541
Blocks: 867301
  Show dependency treegraph
 
Reported: 2012-10-24 10:41 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 11:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-10-24 10:41:46 EDT
A NULL pointer dereference flaw was found in the way HTML implementation of KDE libraries performed processing of HTML pages containing frames with null parts. A remote attacker could provide a specially-crafted web page that, when opened in an application linked against KDE libraries (such as konqueror) would lead to that application crash.

Relevant upstream patch:
[1] https://projects.kde.org/projects/kde/kdelibs/repository/revisions/65464349951e0df9b5d80c2eb3cc7458d54923ae

References:
[2] http://www.openwall.com/lists/oss-security/2012/10/10/11
[3] http://www.openwall.com/lists/oss-security/2012/10/11/11
Comment 1 Jan Lieskovsky 2012-10-24 10:42:40 EDT
This issue did NOT affect the versions of the kdelibs package, as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Jan Lieskovsky 2012-10-24 11:19:02 EDT
Statement:

Not a security flaw. Red Hat Security Response Team does not consider a user-assisted end user application crash (such a konqueror) to be a security issue.
Comment 4 Vincent Danen 2012-10-30 12:29:01 EDT
This is now public:

http://seclists.org/oss-sec/2012/q4/171
Comment 5 Vincent Danen 2012-10-30 12:31:49 EDT
Created kdelibs tracking bugs for this issue

Affects: fedora-all [bug 871541]

Note You need to log in before you can comment on or make changes to this bug.